<?php
/**
 *\licence GPL 2005-2010  The osCSS developers - osCSS Open Source E-commerce
 *\portion code Copyright (c) 2002 osCommerce
 *\package osCSS-2 <www http://www.oscss.org>
 *\version 2.1.0
 *\date  28/11/10, 08:18
 *\author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
 *\encode UTF-8
 *\group boxes
 *\file includes/boxes/checkout_progressbar.php
 *\brief Display progressbar for checkout process
*/
  global $full, $current;

  $full=array();
  if($page->is_page_type('cart') ){

  }
  elseif($page->is_page_type('checkout')) {
    $full=array(0);
    $url=basename($_SERVER['REQUEST_URI']);
    if($url == FILENAME_CHECKOUT_SHIPPING || $url == FILENAME_CHECKOUT_SHIPPING_ADDRESS){
    $current = 1;
    $full=array(0,1);
    }
    elseif($url == FILENAME_CHECKOUT_PAYMENT || $url == FILENAME_CHECKOUT_PAYMENT_ADDRESS){
    $current = 2;
    $full=array(0,1,2);
    }
    elseif($url == FILENAME_CHECKOUT_CONFIRMATION){
    $current = 3;
    $full=array(0,1,2,3);
    }
    elseif($url == FILENAME_CHECKOUT_SUCCESS){
    $current =4;
    $full=array(0,1,2,3,4);
    }
  }
  $array=array('title'=>__(''),'content'=>tep_output_string_protected(tep_get_include_contents('box.checkout_progressbar'),false,true));

?>